<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>ShopBDS Post Page</title>

  <!-- Nhúng các thư viện BS4 & jQuery, awesome font -->
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.1.1/css/all.min.css">

  <!-- Select2 -->
  <link rel="stylesheet" href="plugins/select2/css/select2.min.css">
  <link rel="stylesheet" href="plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css">
  <script src="plugins/select2/js/select2.full.min.js"></script>

  <!-- SweetAlert2 -->
  <link rel="stylesheet" href="plugins/sweetalert2-theme-bootstrap-4/bootstrap-4.min.css">
  <script src="plugins/sweetalert2/sweetalert2.min.js"></script>

  <!-- Các file css tự định nghĩa thêm -->
  <link rel="stylesheet" href="style.css">
</head>

<body id="page-top">
  <!-- Navigation - Menu bar-->
  <nav class="navbar navbar-expand-lg fixed-top" id="mainNav">
    <div class="container">
      <a class="navbar-brand" href="index.html"><img src="images/logo.png" class="w-75"></a>
      <input type="checkbox" id="check">
      <label for="check">
        <i class="fas fa-bars" id="menu-bar-click"></i>
        <i class="fas fa-times" id="menu-bar-cancel"></i>
      </label>
      <ul class="navbar-nav ml-auto">
        <li class="nav-item pt-1 align-self-center"><a
            class="nav-link text-danger font-weight-bold px-4 to-slideshow-example" href="#">HOME</a></li>
        <li class="nav-item pt-1 align-self-center"><a
            class="nav-link text-danger font-weight-bold px-4 to-property-content" href="#">DETAILS PROP</a></li>
        <li class="nav-item pt-1 align-self-center"><a class="nav-link text-danger font-weight-bold px-4 to-utility"
            href="#">SHOPBDS</a>
        </li>
        <li class="nav-item pt-1 align-self-center"><a class="nav-link text-danger font-weight-bold px-4 to-contact-us"
            href="#">CONTACT</a></li>
        <li class="nav-item dropdown pt-1 align-self-center">
          <a class="nav-link px-4" data-toggle="dropdown">
            <span class="fa-stack fa-1x pl-2">
              <i class="fas fa-circle fa-stack-2x icon-background"></i>
              <i class="fa-solid fa-user fa-stack-1x"></i>
            </span>
            <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right">
              <div class="text-center mt-1">
                <button class="btn btn-primary" id="btn-log-in"><i class="fa-solid fa-right-to-bracket"></i> Log
                  in</button>
              </div>
              <div class="text-center mt-1">
                <button class="btn btn-danger" id="btn-log-out"><i class="fa-solid fa-right-from-bracket"></i> Log
                  out</button>
              </div>
            </div>
          </a>
        </li>
      </ul>
    </div>
    <button class="btn btn-warning" hidden id="btn-admin">ADMIN</button>
  </nav>
  <!-- 2. Slide body -->
  <div id="slideshow-example" data-component="slideshow" class="header-slideshow">
    <div role="list">
      <div class="slide">
        <img src="images/home5.jpg" width="100%" height="500px" alt="">
      </div>
      <div class="slide">
        <img src="images/home7.png" width="100%" height="500px" alt="">
      </div>
      <div class="slide">
        <img src="images/home8.jpg" width="100%" height="500px" alt="">
      </div>
      <div class="slide">
        <img src="images/home9.jpg" width="100%" height="500px" alt="">
      </div>
      <div class="slide">
        <img src="images/home10.jpg" width="100%" height="500px" alt="">
      </div>
    </div>
  </div>

  <!-- 3. Property content -->
  <div class="container-fluid mb-5 paddding-navbar" id="property-content">
    <div class="container py-5">
      <div class="text-center mb-5">
        <h2 class="title-text-color mb-4">Chi tiết căn hộ</h2>
        <div class="row">
          <div class="col-sm-6 form-group border-right">
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Tiêu đề tin</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="create-input-title" type="text" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Tỉnh thành</label>
              </div>
              <div class="col-md-8 form-group">
                <select id="create-select-province" class="form-control select2bs4">
                  <option value="0" hidden>--Tên tỉnh thành--</option>
                </select>
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Quận Huyện</label>
              </div>
              <div class="col-md-8 form-group">
                <select id="create-select-district" class="form-control select2bs4" disabled>
                  <option value="0" hidden>--Tên quận huyện--</option>
                </select>
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Dự án xây dựng</label>
              </div>
              <div class="col-md-8 form-group">
                <select id="create-select-project" class="form-control select2bs4">
                </select>
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Loại tin</label>
              </div>
              <div class="col-md-8 form-group">
                <select id="create-select-type" class="form-control select2bs4">
                  <option value="0">Đất</option>
                  <option value="1">Nhà ở</option>
                  <option value="2">Căn hộ/ Chung cư</option>
                  <option value="3">Văn phòng, mặt bằng</option>
                  <option value="4">Kinh doanh</option>
                  <option value="5">Phòng trọ</option>
                </select>
              </div>
            </div>

            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Giá đăng</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="create-input-price" type="number" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Giá tối thiểu</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="create-input-priceMin" type="number" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Thời gian bán</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="create-input-priceTime" type="number" class="form-control">
              </div>
            </div>
          </div>
          <div class="col-sm-6 form-group">
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Địa chỉ <i class="text-danger">*</i></label>
              </div>
              <div class="col-md-8 form-group">
                <input id="create-input-address" type="text" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Phường Xã</label>
              </div>
              <div class="col-md-8 form-group">
                <select id="create-select-ward" class="form-control select2bs4" disabled>
                  <option value="0" hidden>--Tên Phường Xã--</option>
                </select>
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Đường phố</label>
              </div>
              <div class="col-md-8 form-group">
                <select id="create-select-street" class="form-control select2bs4" disabled>
                  <option value="0" hidden>--Tên Đường phố--</option>
                </select>
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Khách hàng</label>
              </div>
              <div class="col-md-8 form-group">
                <select id="create-select-customer" class="form-control select2bs4">
                  <option value="0" hidden>--Customer--</option>
                </select>
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Nhân viên <i class="text-danger">*</i></label>
              </div>
              <div class="col-md-8 form-group">
                <select id="create-select-employee" class="form-control" disabled>
                  <option value="0" hidden>--Employee--</option>
                </select>
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Nhu cầu</label>
              </div>
              <div class="col-md-8 form-group">
                <select id="create-select-request" class="form-control">
                  <option value="0">Cần bán</option>
                  <option value="2">Cần mua</option>
                  <option value="3">Cho thuê</option>
                  <option value="4">Cần thuê</option>
                </select>
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Giá cho thuê</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="create-input-priceRent" type="number" class="form-control">
              </div>
            </div>
          </div>
        </div>

        <h5 class="text-center mb-5">Thông số kỹ thuật 1</h5>
        <div class="row">
          <div class="col-sm-6 form-group border-right">
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Diện tích BĐS</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="create-input-acreage" type="number" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Hướng nhà</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="create-input-direction" type="number" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Tổng số tầng</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="create-input-totalFloors" type="number" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Tầng số</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="create-input-numberFloors" type="number" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Diện tích tim tường</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="create-input-wallArea" type="number" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Vị trí căn hộ</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="create-input-apartLoca" type="number" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Loại nội thất</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="create-input-furnitureType" type="number" class="form-control">
              </div>
            </div>

          </div>
          <div class="col-sm-6 form-group">
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Mã căn hộ</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="create-input-apartCode" type="text" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Số nhà vệ sinh</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="create-input-bath" type="number" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Số phòng ngủ</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="create-input-bedroom" type="number" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Ban công</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="create-input-balcony" type="number" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Hướng cảnh quan</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="create-input-landscapeView" type="text" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Loại căn hộ</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="create-input-apartType" type="number" class="form-control">
              </div>
            </div>
          </div>
        </div>

        <h5 class="text-center mb-5">Thông số kỹ thuật 2</h5>
        <div class="row">
          <div class="col-sm-6 form-group border-right">
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Tỉ suất sinh lời</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="create-input-returnRate" type="number" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Giấy tờ pháp lý</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="create-input-legalDoc" type="number" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Chiều rộng</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="create-input-widthY" type="number" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Chiều dài</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="create-input-longX" type="number" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>FSBO</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="create-input-fsbo" type="number" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Cập nhật bởi</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="create-input-updateBy" type="number" class="form-control">
              </div>
            </div>

          </div>
          <div class="col-sm-6 form-group">
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Mô tả chi tiết</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="create-input-description" type="text" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Street House</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="create-input-streetHouse" type="number" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Số lượt xem</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="create-input-viewNum" type="number" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Hình dáng nhà</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="create-input-shape" type="text" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Khoảng cách ra mặt tiền</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="create-input-distance2facade" type="number" class="form-control">
              </div>
            </div>


          </div>
        </div>

        <h5 class="text-center mb-5">Thông số kỹ thuật 3</h5>
        <div class="row">
          <div class="col-sm-6 form-group border-right">
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Số mặt tiền tiếp giáp</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="create-input-adjacent_facade_num" type="number" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Độ rộng hẻm nhỏ nhất</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="create-input-alley_min_width" type="number" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Độ rộng hẻm tiếp giáp</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="create-input-adjacent_alley_min_width" type="number" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>DTSXD</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="create-input-dtsxd" type="number" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>CLCL</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="create-input-clcl" type="number" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>CTXD_price</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="create-input-ctxd_price" type="number" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>CTXD_value</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="create-input-ctxd_value" type="number" class="form-control">
              </div>
            </div>

          </div>
          <div class="col-sm-6 form-group">
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Đường tiếp giáp bê tông</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="create-input-adjacentRoad" type="text" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Yếu tố khác</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="create-input-factor" type="number" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Kết cấu</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="create-input-structure" type="text" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Kinh độ</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="create-input-lng" type="number" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Vĩ độ</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="create-input-lat" type="number" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Ảnh</label>
              </div>
              <div class="col-md-8 form-group">
                <input type="file" id="create-input-photo" name="filename">
              </div>
            </div>

          </div>
        </div>
        <div class="form-group text-center">
          <button class="btn btn-primary" id="btn-create-confirm">Confirm</button>
          <button class="btn btn-secondary" id="btn-create-cancel">Cancel</button>
        </div>

      </div>
    </div>
  </div>


  <!-- 3. dp-upside -->
  <div class="container paddding-navbar">
    <h2 class="title-text-color text-center border-top p-3">NHỮNG ƯU ĐIỂM SẢN PHẨM CỦA SHOPBDS</h2>
    <div class="text-center mt-3 mb-5">

    </div>
    <div class="row mt-3 mb-5">
      <div class="col-sm-6 pr-3 align-self-center">
        <img src="images/about1.png" width="100%" id="img-about">
      </div>
      <div class="col-sm-6">
        <div class="row form-group mt-4">
          <div class="col-sm-2 align-self-center">
            <img src="images/icons/doller.png">
          </div>
          <div class="col-sm-10">
            <h3>DỄ DÀNG SỞ HỮU</h3>
            <p>Có nhiều mức giá phù hợp với lựa chọn của khách hàng. Với mức giá cực kỳ tốt và được đánh giá là
              cực "hời" dành cho các nhà đầu tư.</p>
          </div>
        </div>
        <div class="row form-group mt-5">
          <div class="col-sm-2 align-self-center">
            <img src="images/icons/location.png">
          </div>
          <div class="col-sm-10">
            <h3>DỰ ÁN VÀNG</h3>
            <p>Những dự án nằm tại những vị trí vàng. Nằm cạnh phân khu thấp tầng view không bị che chắn, tạo không
              gian hài hòa với thiên nhiên.</p>
          </div>
        </div>
        <div class="row form-group mt-5">
          <div class="col-sm-2 align-self-center">
            <img src="images/icons/trusted.png">
          </div>
          <div class="col-sm-10">
            <h3>CHẤT LƯỢNG DỰ ÁN</h3>
            <p>Làm việc với những CĐT có uy tín lớn trên quốc gia. Với sự giám sát xây dựng chặt chẽ từ CĐT và cùng
              đội ngũ nhà thầu chính</p>
          </div>
        </div>
      </div>
    </div>
  </div>

  <!-- 4. Tiện ích -->
  <div class="container paddding-navbar" id="utility">
    <h2 class="title-text-color text-center border-top p-3">LÝ DO NÊN CHỌN <img id="img-logo" src="images/logo.png"
        class="w-25"></h2>
    <div class="row">
      <div class="col-sm-4">
        <h6 class="mb-4"><i class="fa-solid fa-star" style="color: yellow"></i> &nbsp; Đội ngũ nhân viên có chuyên môn
          cao,
          tư vấn tận tình.</h6>
        <h6 class="mb-4"><i class="fa-solid fa-star" style="color: yellow"></i> &nbsp; Sản phẩm có pháp lý rõ ràng, minh
          bạch.</h6>
        <h6 class="mb-4"><i class="fa-solid fa-star" style="color: yellow"></i> &nbsp; Hỗ trợ trả góp lãi suất ưu đãi,
          thủ tục nhanh gọn.</h6>
        <h6 class="mb-4"><i class="fa-solid fa-star" style="color: yellow"></i> &nbsp; Miễn phí hủy cọc lần đầu.</h6>
        <h6 class="mb-4"><i class="fa-solid fa-star" style="color: yellow"></i> &nbsp; Cập nhật sản phẩm nhanh nhất thị
          trường.</h6>
        <h6 class="mb-4"><i class="fa-solid fa-star" style="color: yellow"></i> &nbsp; Tặng kèm nội thất khi mua nhà.
        </h6>
      </div>
      <div class="col-sm-8 align-self-center">
        <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
          <ol class="carousel-indicators">
            <li data-target="#carouselExampleIndicators" data-slide-to="0" class="active"></li>
            <li data-target="#carouselExampleIndicators" data-slide-to="1"></li>
            <li data-target="#carouselExampleIndicators" data-slide-to="2"></li>
            <li data-target="#carouselExampleIndicators" data-slide-to="3"></li>
          </ol>
          <div class="carousel-inner">
            <div class="carousel-item active">
              <img class="d-block w-100" src="images/utilities/uti1.jpg" alt="First slide" width="70%" height="400px">
            </div>
            <div class="carousel-item">
              <img class="d-block w-100" src="images/utilities/uti2.jpg" alt="Second slide" width="70%" height="400px">
            </div>
            <div class="carousel-item">
              <img class="d-block w-100" src="images/utilities/uti3.jpg" alt="Third slide" width="70%" height="400px">
            </div>
            <div class="carousel-item">
              <img class="d-block w-100" src="images/utilities/uti4.jpg" alt="Forth slide" width="70%" height="400px">
            </div>
          </div>
          <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
            <span class="carousel-control-prev-icon" aria-hidden="true"></span>
            <span class="sr-only">Previous</span>
          </a>
          <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
            <span class="carousel-control-next-icon" aria-hidden="true"></span>
            <span class="sr-only">Next</span>
          </a>
        </div>
      </div>
    </div>
  </div>

  <!-- reqCounseling modal -->
  <div id="modal-requestCounseling" class="modal fade" tabindex="-1">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header bg-primary">
          <h5 class="modal-title">Đăng ký để được tư vấn tốt nhất</h5>
          <button class="close" data-dismiss="modal">&times;</button>
        </div>
        <div class="modal-body">
          <div class="row ">
            <div class="col-sm-4 mt-2">
              <h5>Họ & tên</h5>
            </div>
            <div class="col-sm-8">
              <input id="input-fullname" type="text" class="form-control" placeholder="Họ & tên">
            </div>
          </div>
          <div class="row">
            <div class="col-sm-4 mt-2">
              <h5>Email</h5>
            </div>
            <div class="col-sm-8">
              <input id="input-email" type="text" class="form-control" placeholder="Email">
            </div>
          </div>
          <div class="row">
            <div class="col-sm-4 mt-2">
              <h5>Phone</h5>
            </div>
            <div class="col-sm-8">
              <input id="input-phone" type="text" class="form-control" placeholder="Số điện thoại">
            </div>
          </div>
          <div class="row">
            <div class="col-sm-4 mt-2">
              <h5>Lời nhắn</h5>
            </div>
            <div class="col-sm-8">
              <textarea id="input-message" type="text" class="form-control" rows="3"
                placeholder="Nội dung lời nhắn"></textarea>
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <button class="rainbow rainbow-1" id="btn-reqCounseling"><b>ĐĂNG KÝ</b></button>
          <button class="btn btn-secondary" id="btn-update-cancel" data-dismiss="modal">Cancel</button>
        </div>
      </div>
    </div>
  </div>

  <!-- 6. footer -->
  <footer class="footer py-4" id="footer-content">
    <div class="container">
      <div class="row align-items-center">
        <div class="col-sm-3"><a class="navbar-brand" href="index.html"><img id="img-logo" src="images/logo.png"
              class="w-75"></a></div>
        <div class="col-sm-6 my-3">
          <h5 class="mt-2 ml-3">Công ty TNHH shopBDS</h5><br>
          <a class="mx-2 mt-2 ml-3" href="#">Địa chỉ: 36 Hậu Giang phường 2 quận 6, tpHCM</a><br>
          <a class="mx-2 mt-2 ml-3" href="#">Call/Zalo: 0909887249</a><br>
          <a class="mx-2 mt-2 ml-3" href="#">Email: shopBDS@gmail.com</a>
        </div>
        <div class="col-sm-3 mt-2 ">
          <button class="mx-2 mt-2 ml-3 btn btn-danger" href="#" id="box-request-counseling">Đăng ký tư vấn</button>
        </div>
      </div>
    </div>
  </footer>


</body>

<script>

  var slideshows = document.querySelectorAll('[data-component="slideshow"]');
  slideshows.forEach(initSlideShow);

  function initSlideShow(slideshow) {

    var slides = document.querySelectorAll(`#${slideshow.id} [role="list"] .slide`);

    var index = 0, time = 3000;
    slides[index].classList.add('active');

    setInterval(() => {
      slides[index].classList.remove('active');

      index++;
      if (index === slides.length) index = 0;

      slides[index].classList.add('active');

    }, time);
  };

  $(document).ready(function () {

    //Initialize Select2 Elements
    $('.select2bs4').select2({
      theme: 'bootstrap4'
    });

    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    var gRole;
    var gClick = 0;

    const token = getCookie("token");

    if (token != "") {
      $("#btn-log-in").hide();
    };
    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    onPageLoading();

    $(".to-slideshow-example").click(function () {
      $('html, body').animate({
        scrollTop: $("#slideshow-example").offset().top
      }, 1000);
    });

    $(".to-property-content").click(function () {
      $('html, body').animate({
        scrollTop: $("#property-content").offset().top
      }, 1000);
    });

    $(".to-contact-us").click(function () {
      $('html, body').animate({
        scrollTop: $("#footer-content").offset().top
      }, 1000);
    });

    $(".to-utility").click(function () {
      $('html, body').animate({
        scrollTop: $("#utility").offset().top
      }, 1000);
    });

    //Set sự kiện cho nút login
    $("#btn-log-in").on("click", function () {
      window.location.href = "../AdminFrontEnd/index.html";
    });

    $('#box-request-counseling').on('click', function () {
      $('#modal-requestCounseling').modal("show");
    });

    //Set sự kiện cho nút logout
    $("#btn-log-out").on("click", function () {
      redirectToLogin();
    });

    $("#btn-create-cancel").on("click", function () {
      window.location.href = "index.html";
    });

    $("#btn-create-confirm").on("click", function () {
      onBtnCreateConfirmClick();
    })

    // gán xự kiện khi ô select thay đổi
    $("#create-select-province").on("change", function () {
      $("#create-select-district").html("");
      var bProvinceId = $(this).val();
      callApiGetDistrictByProvinceId(bProvinceId);
    });

    // gán xự kiện khi ô select thay đổi
    $("#create-select-district").on("change", function () {
      $("#create-select-ward").html("");
      $("#create-select-street").html("");
      var bDistrictId = $(this).val();
      callApiGetWardByDistrictId(bDistrictId);
      callApiGetStreetByDistrictId(bDistrictId);
    });

    // gán sự kiện cho nút admin khi role thỏa
    $('#btn-admin').on('click', onBtnAdminClick);

    // gán sự kiện khi click đăng ký tư vấn
    $('#btn-reqCounseling').on('click', onBtnReqCounselingClick);

    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    function onPageLoading() {
      "use strict";
      callApiGetAllCustomer();
      callApiGetAllProject();
      callApiGetAllProvince();
      callApiGetAllEmployees();
      callApiGetUserIdByToken();
      if (gRole == 2 || gRole == 3) {
        $('#btn-admin').removeAttr("hidden");
      }
    }

    function onBtnAdminClick() {
      if (gRole == 2) {
        window.location.href = "../AdminFrontEnd/realestate.html";
      }
      else if (gRole == 3) {
        window.location.href = "../AdminFrontEnd/realestate1.html";
      }
    }

    // Hàm xử lý khi nút xác nhận tạo mới Real estate được nhấn
    function onBtnCreateConfirmClick() {
      "use strict";
      var vCreateData = {
        title: "",
        type: "",
        request: "",
        address: "",
        price: "",
        priceMin: "",
        priceTime: "",
        acreage: "",
        direction: "",
        totalFloors: "",
        numberFloors: "",
        bath: "",
        apartCode: "",
        wallArea: "",
        bedroom: "",
        balcony: "",
        landscapeView: "",
        apartLoca: "",
        apartType: "",
        furnitureType: "",
        priceRent: "",
        returnRate: "",
        legalDoc: "",
        description: "",
        widthY: "",
        longX: "",
        streetHouse: "",
        fsbo: "",
        viewNum: "",
        updateBy: "",
        shape: "",
        distance2facade: "",
        adjacent_facade_num: "",
        adjacentRoad: "",
        alley_min_width: "",
        adjacent_alley_min_width: "",
        factor: "",
        structure: "",
        dtsxd: "",
        clcl: "",
        ctxd_price: "",
        ctxd_value: "",
        photo: "",
        lat: "",
        lng: "",
      }
      // B1: Thu thập dữ liệu
      var vProvinceValue = $("#create-select-province").val();
      var vDistrictValue = $("#create-select-district").val();
      var vWardValue = $("#create-select-ward").val();
      var vStreetValue = $("#create-select-street").val();
      var vCustomerValue = $("#create-select-customer").val();
      var vProjectValue = $("#create-select-project").val();
      var vEmployeeValue = $("#create-select-employee").val();
      getCreateData(vCreateData);
      // B2: Kiểm tra dữ liệu
      var isValidate = validateCreateData(vCreateData, vEmployeeValue);
      if (isValidate == true) {
        // B3: xử lý hiển thị dữ liệu
        callApiCreateRealEstate(vCreateData, vProvinceValue, vDistrictValue, vWardValue, vStreetValue, vCustomerValue, vProjectValue, vEmployeeValue);
      }
    }

    function onBtnReqCounselingClick() {
      var vReqObj = {
        fullname: "",
        email: "",
        phoneNum: "",
        message: ""
      };
      vReqObj.fullname = $('#input-fullname').val();
      vReqObj.email = $('#input-email').val();
      vReqObj.phoneNum = $('#input-phone').val();
      vReqObj.message = $('#input-message').val();
      var vIsCheck = validateData(vReqObj);
      if (vIsCheck == true) {
        // console.log(vReqObj);
        callApiPostNewReqCounseling(vReqObj);
        $('#input-fullname').val("");
        $('#input-email').val("");
        $('#input-phone').val("");
        $('#input-message').val("");
        $('#modal-requestCounseling').modal("hide");
      }
    }

    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình */
    // call api tạo mới thông tin BDS
    function callApiCreateRealEstate(paramCreateData, paramProvince, paramDistrict, paramWard, paramStreet, paramCustomer, paramProject, paramEmployee) {
      $.ajax({
        url: "http://localhost:8080/realEstates/" + paramProvince + "/" + paramDistrict + "/" + paramWard + "/" + paramStreet + "/" + paramProject + "/" + paramCustomer + "/" + paramEmployee,
        method: "POST",
        async: false,
        contentType: "application/json;charset=UTF-8",
        data: JSON.stringify(paramCreateData),
        headers: {
          'Content-Type': 'application/json;charset=UTF-8',
          "Authorization": "Token " + token,
        },
        success: function (paramResponseObj) {
          //console.log(paramResponseObj);
          window.location.href = "index.html";
        },
        error: function (paramError) {
          console.log(paramError);
          alertError("Tạo mới thông tin BĐS không thành công.");
        }
      });
    }

    function callApiGetUserIdByToken() {
      $.ajax({
        url: "http://localhost:8080/findUserId/Token",
        type: 'GET',
        dataType: "json",
        async: false,
        contentType: "application/json; charset=utf-8",
        headers: {
          "Authorization": "Token " + token,
        },
        success: function (responseObject) {
          //console.log(responseObject);
          callApiGetEmployeeByID(responseObject);
        },
        error: function (pAjaxContext) {
          //redirectToLogin();
        }
      });
    };

    // Hàm gọi api lấy dữ liệu employee bằng id
    function callApiGetEmployeeByID(paramEmployeeId) {
      $.ajax({
        url: "http://localhost:8080/employees/" + paramEmployeeId,
        method: "GET",
        async: false,
        success: function (paramResponseObj) {
          // console.log(paramResponseObj);
          gRole = paramResponseObj.roles[0].id;
          handlerUserDataResponse(paramResponseObj);
        },
        error: function (paramError) {
          console.log(paramError);
        }
      });
    }

    // Hàm gọi api lấy tất cả customer
    function callApiGetAllCustomer() {
      $.ajax({
        url: "http://localhost:8080/customers",
        method: "GET",
        async: false,
        headers: {
          'Content-Type': 'application/json;charset=UTF-8',
          "Authorization": "Token " + token,
        },
        success: function (paramResponseObj) {
          //console.log(paramResponseObj);
          loadDataToCustomerSelect(paramResponseObj);
        },
        error: function (paramError) {
          console.log(paramError);
        }
      });
    }

    // Hàm gọi api lấy tất cả employee
    function callApiGetAllEmployees() {
      $.ajax({
        url: "http://localhost:8080/employees",
        method: "GET",
        async: false,
        headers: {
          'Content-Type': 'application/json;charset=UTF-8',
          "Authorization": "Token " + token,
        },
        success: function (paramResponseObj) {
          //console.log(paramResponseObj);
          loadDataToEmployeeSelect(paramResponseObj);
        },
        error: function (paramError) {
          console.log(paramError);
        }
      });
    }

    // Hàm gọi api lấy tất cả project
    function callApiGetAllProject() {
      $.ajax({
        url: "http://localhost:8080/projects",
        method: "GET",
        async: false,
        headers: {
          'Content-Type': 'application/json;charset=UTF-8',
          "Authorization": "Token " + token,
        },
        success: function (paramResponseObj) {
          //console.log(paramResponseObj);
          loadDataToProjectSelect(paramResponseObj);
        },
        error: function (paramError) {
          console.log(paramError);
        }
      });
    }

    // Hàm gọi api tất cả tỉnh thành
    function callApiGetAllProvince() {
      $.ajax({
        url: "http://localhost:8080/provinces",
        method: "GET",
        async: false,
        headers: {
          'Content-Type': 'application/json;charset=UTF-8',
          "Authorization": "Token " + token,
        },
        success: function (paramResponseObj) {
          //console.log(paramResponseObj);
          loadDataToProvinceSelect(paramResponseObj);
        },
        error: function (paramError) {
          console.log(paramError);
        }
      });
    }

    // Hàm xử lý gọi api lấy dữ liệu district bằng province id
    function callApiGetDistrictByProvinceId(paramProvinceId) {
      "use strict";
      $.ajax({
        url: "http://localhost:8080/districts/province/" + paramProvinceId,
        method: "GET",
        async: false,
        headers: {
          'Content-Type': 'application/json;charset=UTF-8',
          "Authorization": "Token " + token,
        },
        success: function (paramResponseObj) {
          //console.log(paramResponseObj);
          loadDataToDistrictSelect(paramResponseObj);
        },
        error: function (paramError) {
          console.log(paramError);
        }
      });
    }

    // Hàm xử lý gọi api lấy dữ liệu ward bằng district id
    function callApiGetWardByDistrictId(paramDistrictId) {
      "use strict";
      $.ajax({
        url: "http://localhost:8080/wards/district/" + paramDistrictId,
        method: "GET",
        async: false,
        headers: {
          'Content-Type': 'application/json;charset=UTF-8',
          "Authorization": "Token " + token,
        },
        success: function (paramResponseObj) {
          //console.log(paramResponseObj);
          loadDataToWardSelect(paramResponseObj);
        },
        error: function (paramError) {
          console.log(paramError);
        }
      });
    }

    // Hàm xử lý gọi api lấy dữ liệu street bằng distirct id
    function callApiGetStreetByDistrictId(paramDistrictId) {
      "use strict";
      $.ajax({
        url: "http://localhost:8080/streets/district/" + paramDistrictId,
        method: "GET",
        async: false,
        headers: {
          'Content-Type': 'application/json;charset=UTF-8',
          "Authorization": "Token " + token,
        },
        success: function (paramResponseObj) {
          //console.log(paramResponseObj);
          loadDataToStreetSelect(paramResponseObj);
        },
        error: function (paramError) {
          console.log(paramError);
        }
      });
    }

    function handlerUserDataResponse(paramResponse) {
      $("#create-select-employee").val(paramResponse.employeeID);
    }

    // Load dữ liệu vào ô select customer
    function loadDataToCustomerSelect(paramResponse) {
      "use strict";
      var vCreateCustomerSelect = $("#create-select-customer");
      for (let i = 0; i < paramResponse.length; i++) {
        var bOption = $("<option/>");
        bOption.prop("value", paramResponse[i].id);
        bOption.prop("text", paramResponse[i].contactName);
        vCreateCustomerSelect.append(bOption);
      };
    }

    // Load dữ liệu vào ô select employee
    function loadDataToEmployeeSelect(paramResponse) {
      "use strict";
      var vCreateEmployeeSelect = $("#create-select-employee");
      for (let i = 0; i < paramResponse.length; i++) {
        var bOption = $("<option/>");
        bOption.prop("value", paramResponse[i].employeeID);
        bOption.prop("text", paramResponse[i].firstName + " " + paramResponse[i].lastName);
        vCreateEmployeeSelect.append(bOption);
      };
    }

    // Load dữ liệu vào ô select project
    function loadDataToProjectSelect(paramResponse) {
      "use strict";
      var vCreateProjectSelect = $("#create-select-project");
      for (let i = 0; i < paramResponse.length; i++) {
        var bOption = $("<option/>");
        bOption.prop("value", paramResponse[i].id);
        bOption.prop("text", paramResponse[i].name);
        vCreateProjectSelect.append(bOption);
      };
    }

    // Load dữ liệu vào ô select province
    function loadDataToProvinceSelect(paramResponse) {
      "use strict";
      var vModalProvinceSelect = $("#create-select-province");
      for (let i = 0; i < paramResponse.length; i++) {
        var bProvinceOption = $("<option/>");
        bProvinceOption.prop("value", paramResponse[i].id);
        bProvinceOption.prop("text", paramResponse[i].name);
        vModalProvinceSelect.append(bProvinceOption);
      };
    }

    // Load dữ liệu phản hồi vào ô select district
    function loadDataToDistrictSelect(paramResDistrictList) {
      "use strict";
      var vDistrictSelectElement = $("#create-select-district");
      if (paramResDistrictList.length > 0) {
        vDistrictSelectElement.prop("disabled", false);

        for (let i = 0; i < paramResDistrictList.length; i++) {
          var bDistrictOption = $("<option/>");
          bDistrictOption.prop("value", paramResDistrictList[i].id);
          bDistrictOption.prop("text", paramResDistrictList[i].name);
          vDistrictSelectElement.append(bDistrictOption);
        };
      } else {
        vDistrictSelectElement.prop("disabled", true);
      }
    }

    // Load dữ liệu phản hồi vào ô select ward
    function loadDataToWardSelect(paramResDistrictList) {
      "use strict";
      var vWardSelectElement = $("#create-select-ward");
      if (paramResDistrictList.length > 0) {
        vWardSelectElement.prop("disabled", false);

        for (let i = 0; i < paramResDistrictList.length; i++) {
          var bDistrictOption = $("<option/>");
          bDistrictOption.prop("value", paramResDistrictList[i].id);
          bDistrictOption.prop("text", paramResDistrictList[i].name);
          vWardSelectElement.append(bDistrictOption);
        };
      } else {
        vWardSelectElement.prop("disabled", true);
      }
    }

    // Load dữ liệu phản hồi vào ô select street
    function loadDataToStreetSelect(paramResDistrictList) {
      "use strict";
      var vStreetSelectElement = $("#create-select-street");
      if (paramResDistrictList.length > 0) {
        vStreetSelectElement.prop("disabled", false);

        for (let i = 0; i < paramResDistrictList.length; i++) {
          var bDistrictOption = $("<option/>");
          bDistrictOption.prop("value", paramResDistrictList[i].id);
          bDistrictOption.prop("text", paramResDistrictList[i].name);
          vStreetSelectElement.append(bDistrictOption);
        };
      } else {
        vStreetSelectElement.prop("disabled", true);
      }
    }

    function getCreateData(paramCreateData) {
      paramCreateData.title = $("#create-input-title").val().trim();
      paramCreateData.type = $("#create-select-type").val();
      paramCreateData.request = $("#create-select-request").val().trim();
      paramCreateData.address = $("#create-input-address").val().trim();
      paramCreateData.price = $("#create-input-price").val().trim();
      paramCreateData.priceMin = $("#create-input-priceMin").val().trim();
      paramCreateData.priceTime = $("#create-input-priceTime").val().trim();
      paramCreateData.acreage = $("#create-input-acreage").val().trim();
      paramCreateData.direction = $("#create-input-direction").val().trim();
      paramCreateData.totalFloors = $("#create-input-totalFloors").val().trim();

      paramCreateData.numberFloors = $("#create-input-numberFloors").val().trim();
      paramCreateData.bath = $("#create-input-bath").val().trim();
      paramCreateData.apartCode = $("#create-input-apartCode").val().trim();
      paramCreateData.wallArea = $("#create-input-wallArea").val().trim();
      paramCreateData.bedroom = $("#create-input-bedroom").val().trim();
      paramCreateData.balcony = $("#create-input-balcony").val().trim();
      paramCreateData.landscapeView = $("#create-input-landscapeView").val().trim();
      paramCreateData.apartLoca = $("#create-input-apartLoca").val().trim();
      paramCreateData.apartType = $("#create-input-apartType").val().trim();
      paramCreateData.furnitureType = $("#create-input-furnitureType").val().trim();
      paramCreateData.priceRent = $("#create-input-priceRent").val().trim();

      paramCreateData.returnRate = $("#create-input-returnRate").val().trim();
      paramCreateData.legalDoc = $("#create-input-legalDoc").val().trim();
      paramCreateData.description = $("#create-input-description").val().trim();
      paramCreateData.widthY = $("#create-input-widthY").val().trim();
      paramCreateData.longX = $("#create-input-longX").val().trim();
      paramCreateData.streetHouse = $("#create-input-streetHouse").val().trim();
      paramCreateData.fsbo = $("#create-input-fsbo").val().trim();
      paramCreateData.viewNum = $("#create-input-viewNum").val().trim();
      paramCreateData.updateBy = $("#create-input-updateBy").val().trim();

      paramCreateData.shape = $("#create-input-shape").val().trim();
      paramCreateData.distance2facade = $("#create-input-distance2facade").val().trim();
      paramCreateData.adjacent_facade_num = $("#create-input-adjacent_facade_num").val().trim();
      paramCreateData.adjacentRoad = $("#create-input-adjacentRoad").val().trim();
      paramCreateData.alley_min_width = $("#create-input-alley_min_width").val().trim();
      paramCreateData.adjacent_alley_min_width = $("#create-input-adjacent_alley_min_width").val().trim();
      paramCreateData.factor = $("#create-input-factor").val().trim();
      paramCreateData.structure = $("#create-input-structure").val().trim();
      paramCreateData.dtsxd = $("#create-input-dtsxd").val().trim();
      paramCreateData.clcl = $("#create-input-clcl").val().trim();
      paramCreateData.ctxd_price = $("#create-input-ctxd_price").val().trim();

      paramCreateData.ctxd_value = $("#create-input-ctxd_value").val().trim();
      let textImg = $("#create-input-photo").val();
      paramCreateData.photo = "images/projects/" + textImg.substring(textImg.lastIndexOf("\\") + 1, textImg.length);
      paramCreateData.lat = $("#create-input-lat").val().trim();
      paramCreateData.lng = $("#create-input-lng").val().trim();
    }

    function validateCreateData(paramCreateData, paramEmployee) {
      "use strict";
      if (paramCreateData.address == "") {
        alertError("Địa chỉ không được để trống.");
        return false;
      }
      if (paramEmployee == 0) {
        alertError("Nhân viên phải được chọn.");
        return false;
      }
      return true;
    }

    function redirectToLogin() {
      // Trước khi logout cần xóa token đã lưu trong cookie
      setCookie("token", "", 1);
      window.location.href = "index.html";
    }

    //Hàm get Cookie
    function getCookie(cname) {
      var name = cname + "=";
      var decodedCookie = decodeURIComponent(document.cookie);
      var ca = decodedCookie.split(';');
      for (var i = 0; i < ca.length; i++) {
        var c = ca[i];
        while (c.charAt(0) == ' ') {
          c = c.substring(1);
        }
        if (c.indexOf(name) == 0) {
          return c.substring(name.length, c.length);
        }
      }
      return "";
    }

    //Hàm setCookie đã giới thiệu ở bài trước
    function setCookie(cname, cvalue, exdays) {
      var d = new Date();
      d.setTime(d.getTime() + (exdays * 24 * 60 * 60 * 1000));
      var expires = "expires=" + d.toUTCString();
      document.cookie = cname + "=" + cvalue + ";" + expires + ";path=/";
    }

    // Hàm alert lỗi
    function alertError(paramTitle) {
      "use strict";
      $(function () {
        var Toast = Swal.mixin({
          toast: false,
          position: 'top',
          showConfirmButton: false,
          timer: 3500
        });
        Toast.fire({
          icon: 'error',
          title: paramTitle,
        })
      });
    }

    function validateData(paramObj) {
      var regex = /^([a-zA-Z0-9_.+-])+\@(([a-zA-Z0-9-])+\.)+([a-zA-Z0-9]{2,4})+$/;
      if (paramObj.fullname == "") {
        alert("Bạn phải nhập Họ tên!");
        return false;
      }
      if (paramObj.email == "") {
        alert("Bạn phải nhập Email!");
        return false;
      }
      if (!regex.test(paramObj.email)) {
        alert("Email không đúng định dạng!");
        return false;
      }
      if (paramObj.phoneNum == "") {
        alert("Bạn phải nhập Số điện thoại!");
        return false;
      }
      return true;
    }

    function callApiPostNewReqCounseling(paramObj) {
      $.ajax({
        url: "http://localhost:8080/reqCounseling",
        method: "POST",
        async: false,
        contentType: "application/json;charset=UTF-8",
        data: JSON.stringify(paramObj),
        success: function (res) {
          console.log(res);
          alert("Gửi yêu cầu tư vấn thành công!");
        },
        error: function (paramError) {
          console.log(paramError);
          alertError("Gửi yêu cầu tư vấn không thành công!");
        }
      });
    }

  });
</script>

</html>